Quattro9SpreadsheetInternal::Column Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9SpreadsheetInternal::Column Struct Reference

Internal: a list of cell and result of Quattro9SpreadsheetInternal. More...

## Public Member Functions
| Column ()
| constructor More...
void | add (Vec2i limits, CellData const &cell)
| add a cell/list of cells data More...
void | add (int row, std::shared_ptr< WPSStream > const &stream, Quattro9ParserInternal::TextEntry const &entry)
| add a cell result More...
void | updateListOfRows (std::set< int > &rows) const
| update a list of row (needed to know what row must be sent) More...
CellData const * | getCell (int row) const
| returns the cell corresponding to a row (if it exist) More...

## Public Attributes
std::map< Vec2i, CellData > | m_rowsToCellMap
| a map rows to cell data More...
std::map< int, std::pair< std::shared_ptr< WPSStream >, Quattro9ParserInternal::TextEntry > > | m_rowToCellResMap
| a map row to cell result More...

## Detailed Description

Internal: a list of cell and result of Quattro9SpreadsheetInternal.

## Constructor & Destructor Documentation

## ◆ Column()

Quattro9SpreadsheetInternal::Column::Column | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ add() [1/2]

void Quattro9SpreadsheetInternal::Column::add | ( | int | row,
|  | std::shared_ptr< WPSStream > const & | stream,
|  | Quattro9ParserInternal::TextEntry const & | entry
| ) |  |
| inline

add a cell result

## ◆ add() [2/2]

void Quattro9SpreadsheetInternal::Column::add | ( | Vec2i | limits,
|  | CellData const & | cell
| ) |  |
| inline

add a cell/list of cells data

Referenced by Quattro9Spreadsheet::readCellList().

## ◆ getCell()

CellData const * Quattro9SpreadsheetInternal::Column::getCell | ( | int | row | ) | const
| inline

returns the cell corresponding to a row (if it exist)

## ◆ updateListOfRows()

void Quattro9SpreadsheetInternal::Column::updateListOfRows | ( | std::set< int > & | rows | ) | const
| inline

update a list of row (needed to know what row must be sent)

## Member Data Documentation

## ◆ m_rowsToCellMap

std::map<Vec2i, CellData> Quattro9SpreadsheetInternal::Column::m_rowsToCellMap

a map rows to cell data

Referenced by add(), getCell(), and updateListOfRows().

## ◆ m_rowToCellResMap

std::map<int, std::pair<std::shared_ptr<WPSStream>, Quattro9ParserInternal::TextEntry> > Quattro9SpreadsheetInternal::Column::m_rowToCellResMap

a map row to cell result

Referenced by add().

The documentation for this struct was generated from the following file:

- Quattro9Spreadsheet.cpp